Bug 1308023 - rubygem-erubis: FTBFS in rawhide
rubygem-erubis: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rubygem-erubis (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 17:19 EST by Fedora Release Engineering
Modified: 2016-03-29 15:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: rubygem-erubis-2.7.0-11.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-29 15:36:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (40.33 KB, text/plain)
2016-02-13 17:19 EST, Fedora Release Engineering
no flags Details
root.log (83.52 KB, text/plain)
2016-02-13 17:19 EST, Fedora Release Engineering
no flags Details
state.log (653 bytes, text/plain)
2016-02-13 17:19 EST, Fedora Release Engineering
no flags Details
Fix-test-suite-for-Ruby-2.3-compatibility.patch (3.30 KB, application/mbox)
2016-03-21 12:24 EDT, Jun Aruga
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 17:19:03 EST
Your package rubygem-erubis failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12866059

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 17:19:06 EST
Created attachment 1126129 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 17:19:07 EST
Created attachment 1126130 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 17:19:08 EST
Created attachment 1126131 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 10:07:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Jun Aruga 2016-03-21 12:24 EDT
Created attachment 1138655 [details]
Fix-test-suite-for-Ruby-2.3-compatibility.patch

The attachment file is my modification to pass the test suite for Ruby 2.3.0.
And also informed to upstream.
https://github.com/kwatch/erubis/pull/8
Comment 6 Jun Aruga 2016-03-21 12:28:51 EDT
Vit. Can you check my modification?
Comment 7 Vít Ondruch 2016-03-22 03:03:20 EDT
The patch looks good (thx). I pushed it into dist-git, but Koji is broken it seems :/

http://koji.fedoraproject.org/koji/taskinfo?taskID=13421652
Comment 8 Upstream Release Monitoring 2016-03-22 03:20:40 EDT
vondruch's rubygem-erubis-2.7.0-11.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=747563
Comment 9 Fedora Update System 2016-03-22 03:35:35 EDT
rubygem-erubis-2.7.0-11.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fb29978002
Comment 10 Jun Aruga 2016-03-22 04:51:01 EDT
> The patch looks good (thx). I pushed it into dist-git, but Koji is broken it seems :/

Thanks for your checking the patch!
Comment 11 Fedora Update System 2016-03-22 12:55:17 EDT
rubygem-erubis-2.7.0-11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fb29978002
Comment 12 Fedora Update System 2016-03-29 15:36:52 EDT
rubygem-erubis-2.7.0-11.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.